ChangeSet 1.1743.3.2, 2004/05/24 17:02:10-07:00, oliver@neukum.org

[PATCH] USB: clean delays for ehci

Here's one you overlooked.

  - safe sleep helper


 drivers/usb/storage/transport.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)


diff -Nru a/drivers/usb/storage/transport.c b/drivers/usb/storage/transport.c
--- a/drivers/usb/storage/transport.c	Fri May 28 14:41:46 2004
+++ b/drivers/usb/storage/transport.c	Fri May 28 14:41:46 2004
@@ -1112,8 +1112,7 @@
 
 	/* long wait for reset, so unlock to allow disconnects */
 	up(&us->dev_semaphore);
-	set_current_state(TASK_UNINTERRUPTIBLE);
-	schedule_timeout(HZ*6);
+	msleep(6000);
 	down(&us->dev_semaphore);
 	if (test_bit(US_FLIDX_DISCONNECTING, &us->flags)) {
 		US_DEBUGP("Reset interrupted by disconnect\n");
